### Constructor

# Handy EnumValueObject new

#### Declaration [src]

    HdyEnumValueObject*
    hdy_enum_value_object_new (
      GEnumValue* enum_value
    )

#### Description [src]

Creates a new `HdyEnumValueObject`.

Available since: | 1.0

#### Parameters

`enum_value` | `GEnumValue`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `HdyEnumValueObject`
| The newly created `HdyEnumValueObject`
| The caller of the function takes ownership of the data, and is responsible for freeing it.